%define		kdeplasmaver	5.23.4
%define		qtver		5.9.0
%define		kpname		kmenuedit

Summary:	KDE menu editor
Name:		kp5-%{kpname}
Version:	5.23.4
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	25f187342eccfea8400ee7473d00c776
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	kf5-kdbusaddons-devel
BuildRequires:	kf5-kdelibs4support-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-kiconthemes-devel
BuildRequires:	kf5-kio-devel
BuildRequires:	kf5-kxmlgui-devel
BuildRequires:	kf5-sonnet-devel
BuildRequires:	kp5-khotkeys-devel >= %{kdeplasmaver}
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
KDE Plasma menu editor.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kmenuedit
%{_desktopdir}/org.kde.kmenuedit.desktop
%{_iconsdir}/hicolor/*/apps/kmenuedit.png
%{_datadir}/kmenuedit
%{_datadir}/kxmlgui5/kmenuedit
%{_datadir}/qlogging-categories5/kmenuedit.categories
%attr(755,root,root) %{_libdir}/kconf_update_bin/kmenuedit_globalaccel
%changelog
* Thu Dec 09 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-kmenuedit.git;a=log;h=master

* Wed Dec 01 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 7ef91a8
- updated to 5.23.4

* Sat Nov 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> a1f6cbe
- updated to 5.23.3

* Tue Oct 26 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 751925b
- updated to 5.23.2

* Wed Oct 20 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 90b760c
- updated to 5.23.1

* Thu Oct 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 00329b9
- updated to 5.23.0

* Fri Sep 03 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 44e4c79
- updated to 5.22.5

* Tue Jul 27 2021 Witold Filipczyk <witekfl@poczta.onet.pl> fbcee2a
- updated to 5.22.4

* Wed Jul 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> c9f3637
- updated to 5.22.3

* Wed Jun 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 718e4a2
- updated to 5.22.2.1

* Wed Jun 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> efd3d99
- updated to 5.22.1

* Wed Jun 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> df193e7
- updated to 5.22.0

* Wed May 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 7053a3e
- updated to 5.21.5

* Fri Apr 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 07244b6
- updated to 5.21.4

* Tue Mar 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 12c0f9c
- update to 5.21.3

* Sun Mar 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 56bf470
- update to 5.21.2

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> ff2c046
- updated to 5.15.3

* Fri Jan 11 2019 Witold Filipczyk <witekfl@poczta.onet.pl> a664f10
- updated to 5.14.5

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 059df88
- updated to 5.14.4

* Sun Oct 29 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 063f1ff
- updated to 5.11.2

* Sun Feb 28 2016 Witold Filipczyk <witekfl@poczta.onet.pl> c28c6f8
- updated to 5.5.4

